Bug 807640 - Conditional sequence flow is not supported by jBPM engine
Conditional sequence flow is not supported by jBPM engine
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 07:51 EDT by Radovan Synek
Modified: 2012-11-09 00:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the BPMN 2.0 specification, conditional flow can be used without gateways. The JBoss Enterprise BRMS Process Designer supports this feature; however, knowledge bases will not build when processes include conditional flow in the process definition without using gateways.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2012-03-28 07:51:26 EDT
Conditional flow can be used without gateways (multiple outgoing connections from activity node, each with it's condition) by BPMN2 specification.

Guvnor BPMN designer supports this feature, but when you try to build knowledge base with this process definition, you get Exception - "This type of node cannot have more than one outgoing connection!" 

See commit: https://github.com/rsynek/jbpm/commit/5a1303fadabca1fb89da29d68dbe7d2b6d8e986d

in this pull request: https://github.com/droolsjbpm/jbpm/pull/56
Comment 1 lcarlon 2012-05-30 20:09:25 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In the BPMN 2.0 specification conditional flow can be used without gateways, the BRMS process designer supports this feature, however, knowledge bases will not build when processes include conditional flow in the process definition without using gateways.
Comment 2 Maciej Swiderski 2012-06-14 07:30:05 EDT
This was implemented on master (5.4.0-SNAPSHOT):
https://github.com/droolsjbpm/jbpm/commit/e19270b87d0faa7d1e5931a5cb674aa47f14d541
https://github.com/droolsjbpm/jbpm/commit/8f0c9db262ae5611d16159454d43cd091c668f0e

As recommendation is to use gateways this feature is by default disabled and can be enabled by configuring system property: -Djbpm.enable.multi.con=true

Note You need to log in before you can comment on or make changes to this bug.